Skip to main content

Get Latest Status for Data Contract

Retrieve the most recent status for a data contract by its ID.

Path Parameters
id int32 — REQUIRED
Responses
200

The latest status for the specified data contract.

Schema — OPTIONAL
id int32
datasetId string — OPTIONAL
overallStatus object
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
termsAndConditionsStatus object — OPTIONAL
dataSchemaContractStatus object — OPTIONAL
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
dataValidationContractStatus object — OPTIONAL
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
dataMetricsContractStatus object — OPTIONAL
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
dataQualityContractStatus object — OPTIONAL
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
governancePoliciesContractStatus object — OPTIONAL
status string — OPTIONAL

Possible values: [passing, failing, pending]

passingCount int32 — OPTIONAL
passingIds int32[] — OPTIONAL
failingCount int32 — OPTIONAL
failingIds int32[] — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
401

Unauthorized. Authentication required.

404

No status found for the specified contract ID.